extends layout

block content
    h1
    p Welcome to 
    .margin-bottom-20.no-print
    .row.m-5
    .col-md-12
        .page-header
        h1
            span.printable 2309번 - 
            span#problem_title 일곱 난쟁이
            span.label.label-info.problem-label 스페셜 저지
            .btn-group.pull-right.problem-button
    .col-md-12
        .table-responsive
        table#problem-info.table
            thead
            tr
                th(style='width:16%;') 시간 제한
                th(style='width:16%;') 메모리 제한
                th(style='width:17%;') 제출
                th(style='width:17%;') 정답
                th(style='width:17%;') 맞은 사람
                th(style='width:17%;') 정답 비율
            tbody
            tr
                td 2 초
                td 128 MB
                td 24213
                td 9920
                td 7937
                td 48.197%
    #problem-body
        .col-md-12
        section#description
            .headline
            h2 문제
            #problem_description(style='font-size:medium; line-height:30px;')
            p
                | 왕비를 피해 일곱 난쟁이들과 함께 평화롭게 생활하고 있던 백설공주에게 위기가 찾아왔다. 일과를 마치고 돌아온 난쟁이가 일곱 명이 아닌 아홉 명이었던 것이다.
            p
                | 아홉 명의 난쟁이는 모두 자신이 "백설 공주와 일곱 난쟁이"의 주인공이라고 주장했다. 뛰어난 수학적 직관력을 가지고 있던 백설공주는, 다행스럽게도 일곱 난쟁이의 키의 합이 100이 됨을 기억해 냈다.
            p 아홉 난쟁이의 키가 주어졌을 때, 백설공주를 도와 일곱 난쟁이를 찾는 프로그램을 작성하시오.
        .col-md-12
        section#input
            .headline
            h2 입력
            #problem_input(style='font-size:medium; line-height:30px;')
            p
                | 아홉 개의 줄에 걸쳐 난쟁이들의 키가 주어진다. 주어지는 키는 100을 넘지 않는 자연수이며, 아홉 난쟁이의 키는 모두 다르며, 가능한 정답이 여러 가지인 경우에는 아무거나 출력한다.
        .col-md-12
        section#output
            .headline
            h2 출력
            #problem_output(style='font-size:medium; line-height:30px;')
            p 일곱 난쟁이의 키를 오름차순으로 출력한다. 일곱 난쟁이를 찾을 수 없는 경우는 없다.
        .col-md-12
        section#limit(style='display:none;')
            .headline
            h2 제한
            #problem_limit(style='font-size:medium; line-height:30px;')
        .col-md-12
        .row
            .col-md-6
            section#sampleinput1
                .headline
                h2
                    | 예제 입력 1
                pre#sample-input-1.sampledata.
                20
                7
                23
                19
                10
                15
                25
                8
                13
            .col-md-6
            section#sampleoutput1
                .headline
                h2
                    | 예제 출력 1                
                pre#sample-output-1.sampledata.
                7
                8
                10
                13
                19
                20
                23
        .col-md-12
        section#hint(style='display: none;')
            .headline
            h2 힌트
            #problem_hint(style='font-size:medium; line-height:30px;')
    div
        button#btnSolve.btn.btn-primary(type='button') 문제풀기
        #rslt
    .col-md-12
        section#source
        .headline
            h2 출처
        p
            a(href='/category/2')
            | Olympiad
            |  >
            a(href='/category/55')
            | 한국정보올림피아드
            |  >
            a(href='/category/57')
            | 한국정보올림피아드시․도지역본선
            |  >
            a(href='/category/74')
            | 지역본선 2004
            |  >
            a(href='/category/detail/379') 초등부
            | 							1번
   
    

